Update notices on 133 theme package -- what to do?

I downloaded and installed the VERY impressive 133 theme pack, but I notice that many of the themes say they need to be updated. Should we run the updater? Or once we download them from you, should I just leave them as-is unless you issue a new version?

Also, one or two of them break on preview. Are you guys working on that?